#if !defined(AFX_XPBUTTONEXCTL_H__A4545E55_89CA_11D6_AF8D_000347889858__INCLUDED_)
#define AFX_XPBUTTONEXCTL_H__A4545E55_89CA_11D6_AF8D_000347889858__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// XpButtonExCtl.h : Declaration of the CXpButtonExCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CXpButtonExCtrl : See XpButtonExCtl.cpp for implementation.

class CXpButtonExCtrl : public COleControl
{
	DECLARE_DYNCREATE(CXpButtonExCtrl)

// Constructor
public:
	CXpButtonExCtrl();
CPen *pBoundryPen;
CPen *pInsideBoundryPenLeft;
CPen *pInsideBoundryPenTop;
CPen *pInsideBoundryPenRight;
CPen *pInsideBoundryPenBottom;
CPen *pOldPen;
CBrush *pFillActive;
CBrush *pFillInactive;
CBrush *pOldBrush;
BOOL m_bOverControl;
CString strCaption;

void DoGradientFill(CDC *pDC,CRect rect);
void DrawInsideBorder(CDC *pDC,CRect rect);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXpButtonExCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CXpButtonExCtrl();

	DECLARE_OLECREATE_EX(CXpButtonExCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CXpButtonExCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CXpButtonExCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CXpButtonExCtrl)		// Type name and misc status

	// Subclassed control support
	BOOL IsSubclassedControl();
	LRESULT OnOcmCommand(WPARAM wParam, LPARAM lParam);
    LRESULT OnOcmDrawItem(WPARAM wParam, LPARAM lParam);
	LRESULT OnMouseLeave(WPARAM, LPARAM);
// Message maps
	//{{AFX_MSG(CXpButtonExCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CXpButtonExCtrl)
	CString m_title;
	afx_msg void OnTitleChanged();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CXpButtonExCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CXpButtonExCtrl)
	dispidTitle = 1L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XPBUTTONEXCTL_H__A4545E55_89CA_11D6_AF8D_000347889858__INCLUDED)
